```
title = "Webshit Weekly (2022/08/14)"
tags = ["misc"]
date = "2022-08-16 10:00:42 -0400"
short_desc = "A tribute to the seemingly ended series from n-gate."
slug = "webshit-weekly"
```

An annotated digest of the top "Hacker" "News" posts for the second week of August, 2022.

(A tribute[^1] to the seemingly ended webshit weekly series from [n-gate](http://n-gate.com/).)

[^1]: Contrary to the title, I will not be doing this weekly for I have neither the time nor the energy. I deeply respect that n-gate was able to do it for nearly 5 years, I couldn't have managed a fraction as long.

<!-- excerpt-end -->

<style>
.article-content {
	font-family: 'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', 'VGA' !important;
	font-size: 1.1rem !important;
}
h3, h4 {
	font-family: 'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', 'VGA' !important;
	margin-bottom: 0;
}
h4 {
	margin-top: 0;
}
.article-content a.header-anchor {
	display: none;
}
a::before, a::after {
	content: "" !important;
}
.article-content a {
	text-decoration: underline !important;
}
</style>

### [To uncover a deepfake video call, ask the caller to turn sideways](https://metaphysic.ai/to-uncover-a-deepfake-video-call-ask-the-caller-to-turn-sideways/)
#### August 8, 2022 [(comments)](https://news.ycombinator.com/item?id=32384653)
Metaphysic (a company that seeks to "empower individuals" with artificial intelligence "content generation" (read: plagiarism laundering) tools) determines that relatively few images of people in big datasets are from a completely in profile. As such, deepfake tools have poor results when compositing someone's face onto a profile view of a subject. Hackernews helpfully notes that this is merely a present limitation of deepfake and face alignment neural networks, and that within a few short years, these dark days of deepfake detectability will be behind us. Other Hackernews propose a series of solutions that will surely not be defeated by further advancements in deepfake tools.

### [An incident impacting 5M accounts and private information on Twitter](https://privacy.twitter.com/en/blog/2022/an-issue-affecting-some-anonymous-accounts)
#### August 9, 2022 [(comments)](https://news.ycombinator.com/item?id=32399949)
Twitter (business model: "Uber for bad takes") informs the public that a flaw in their code let anyone discover which account, if any, a particular email address or phone number belonged to. [Again](https://privacy.twitter.com/en/blog/2020/an-incident-impacting-your-account-identity). They assure everyone that they take privacy Very Seriously and that [only they](https://www.ftc.gov/news-events/news/press-releases/2022/05/ftc-charges-twitter-deceptively-using-account-security-data-sell-targeted-ads) are allowed to use that information for illicit purposes. One Hackernews considers the possibility of enumerating all 10 billion phone numbers. A number of Hackernews also note that Twitter helpfully victim ~~blames~~ suggests their users simply not use a publicly-known phone number to protect against the company's incompetence.

### [Instagram can track anything you do on any website in their in-app browser](https://krausefx.com/blog/ios-privacy-instagram-and-facebook-can-track-anything-you-do-on-any-website-in-their-in-app-browser)
#### August 10, 2022 [(comments)](https://news.ycombinator.com/item?id=32415470)
Meta&#8482; (business model: "Uber for antitrust complaints") decides that not only are they entitled to write down everything you do on their ~~websites~~ ~~apps~~ metaspaces, but they are also entitled to spy on you whenever you try to leave them. Hackernews are confused about why Meta&#8482; doesn't simply use the APIs provided by Apple (business model: "Uber for UI frameworks") for showing web views without spyware. A conversation ensues about whether Apple should neuter in-app, faux-Safari browsers and further clamp down on the already nigh nonexistent 3rd-party browser ecosystem (another topic of frequent consternation). Another sub-thread raises the alarm that in-app web browsers allow access to \*shock\*, \*awe\* _The Internet_.

### [A 17-year-old designed a novel synchronous reluctance motor](https://www.smithsonianmag.com/innovation/this-17-year-old-designed-a-motor-that-could-potentially-transform-the-electric-car-industry-180980550/)
#### August 11, 2022 [(comments)](https://news.ycombinator.com/item?id=32426777)
A high school student improves upon an electric motor design that doesn't use rare-earth magnets. Hackernews bitterly resents that they weren't child prodigies and tries to nitpick the student's work into meaningless-ness. Other Hackernews conclude that maybe the kids are alright.

### [Arrest of suspected developr of Tornado Cash](https://www.fiod.nl/arrest-of-suspected-developer-of-tornado-cash/)
#### August 12, 2022 [(comments)](https://news.ycombinator.com/item?id=32436413)
The Dutch Fiscal Information and Investigation Service (business model: "Uber for stopping financial crimes") arrests a man believed to be the developer of the Ethereum tumbler Tornado Cash (business model: "Uber for committing financial crimes"). Hackernews is very concerned about their future prospects if all of a sudden governments are arresting people who build software designed to let people commit crimes. One subthread devolves into arguments about gun rights in the United States (business model: "Uber for racial inequality") and others into general fearmongering about the end of privacy as we know it.

### [I hacked my car](https://programmingwithstyle.com/posts/howihackedmycar/)
#### August 13, 2022 [(comments)](https://news.ycombinator.com/item?id=32447650)
In which the author finds a series of vulnerabilities that should be embarassing for a company with a 36B USD market cap, culminating in finding the private key used to sign their car's firmware on the internet—an engineer having evidently reused it from a tutorial. At over 3000 words, most Hackernews can't be bothered with reading it and, as such, the comments are a barren wasteland. Hackernews mostly has complaints about their own cars. Another Hackernews does a casual racism and slights the engineering ability of an entire continent (but it's definitely okay because he's personally had bad experiences with _those_ people).

### [Oasis: Small statically-linked Linux system](https://github.com/oasislinux/oasis)
#### August 14, 2022 [(comments)](https://news.ycombinator.com/item?id=32458744)
Some developers have come up with a Linux (business model: "Uber for FOSS dweebs") distribution that will be even more annoying to use than the usual musl-based ones. Half of Hackernews rails against dynamic linking and the other half rails against static linking. Compromise is on no one's mind; this can only end in war. Only one Hackernews is excited about any other potential merit of the project (namely that it boots a few seconds faster than their current distro of choice).

